<div>
  <h2 id="page-heading" data-cy="AtitudeHeading">
    <span jhiTranslate="matrixApp.atitude.home.title">Atitudes</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span jhiTranslate="matrixApp.atitude.home.refreshListLabel">Atualizar lista</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-atitude"
        [routerLink]="['/atitude/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span jhiTranslate="matrixApp.atitude.home.createLabel">Criar novo Atitude</span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  <div class="alert alert-warning" id="no-result" *ngIf="atitudes?.length === 0">
    <span jhiTranslate="matrixApp.atitude.home.notFound">Nenhum Atitude encontrado</span>
  </div>

  <div class="table-responsive table-entities" id="entities" *ngIf="atitudes && atitudes.length > 0">
    <table class="table table-striped" aria-describedby="page-heading">
      <thead>
        <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
          <th scope="col" jhiSortBy="id">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.atitude.id">Id</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="descricao">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.atitude.descricao">Descricao</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="competencia.id">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.atitude.competencia">Competencia</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let atitude of atitudes; trackBy: trackId" data-cy="entityTable">
          <td>
            <a [routerLink]="['/atitude', atitude.id, 'view']">{{ atitude.id }}</a>
          </td>
          <td>{{ atitude.descricao }}</td>
          <td>
            <div *ngIf="atitude.competencia">
              <a [routerLink]="['/competencia', atitude.competencia.id, 'view']">{{ atitude.competencia.id }}</a>
            </div>
          </td>
          <td class="text-end">
            <div class="btn-group">
              <button
                type="submit"
                [routerLink]="['/atitude', atitude.id, 'view']"
                class="btn btn-info btn-sm"
                data-cy="entityDetailsButton"
              >
                <fa-icon icon="eye"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">Visualizar</span>
              </button>

              <button
                type="submit"
                [routerLink]="['/atitude', atitude.id, 'edit']"
                class="btn btn-primary btn-sm"
                data-cy="entityEditButton"
              >
                <fa-icon icon="pencil-alt"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Editar</span>
              </button>

              <button type="submit" (click)="delete(atitude)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                <fa-icon icon="times"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Excluir</span>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
